add/urls.py
from django.urls import path

from add.views import add, detail, get_JSON
from add import views

app_name = 'add'

urlpatterns = [
    path('', add, name='add'),
    path('detail/<int:detail_id>/', detail, name='detail'),
    path('detail/json/<int:detail_id>', get_JSON, name='json'),

]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

profil/urls.py
from django.urls import path

from profil.views import index, profile
from profil import views

app_name = 'profil'

urlpatterns = [
	path('', profile, name='profile'),
	path('addprofile/', index, name='index'),
	#path('view/', view, name='view')
    
]

resePan/urls.py
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.views.static import serve
from .settings import MEDIA_ROOT


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('add/', include('add.urls')),
    path('review/', include('review.urls')),
    path('search/', include('search.urls')),
    path('profil/', include('profil.urls')),
    path('media/<path:path>', serve, {'document_root':settings.MEDIA_ROOT})
]


# urlpatterns += staticfiles_urlpatterns()
# urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

review/urls.py
from django.urls import path

from . import views

app_name = 'review'

urlpatterns = [
        path('ulasan', views.ulasan, name='ulasan'),
        path('listReview', views.listReview, name='listReview'),
        path('json/', views.get_JSON_testimonial, name='Ulasan_JSON'),        
        path('login/', views.logIn, name='login'),
        path('signup/', views.signUp, name='signup'),
        path('logout/', views.logOut, name='logout'),




]

search/urls.py
from django.urls import path

from .views import idx, result_by_max_keyword, get_modelAPI

app_name = 'search'

urlpatterns = [
	path('resepapi/json/', get_modelAPI, name='model_json'),
	path('', idx, name='idx'),
	path('<str:pk>', result_by_max_keyword, name='res_max')
	
]

templates/detail.html
{% load static %}
<!-- <img class="img-fluid" src="" alt="">	 -->
<h1>{{resep_detail.nama}}</h1>
			<p>{{resep_detail.deskripsi}}</p>
								<p>Porsi : {{resep_detail.porsi}}</p>
								<p>Lama memasak : {{resep_detail.durasi}}</p>

								<h3>Bahan-bahan</h3>
								{% for bahan in semua_bahan%}
								<p>{{forloop.counter}}. {{bahan.nama}}</p>
								{% endfor %}
								
								<h3>Langkah</h3>
								{% for langkah in semua_langkah%}
								<p>{{forloop.counter}}. {{langkah.nama}}</p>
								{% endfor %}

templates/index.html
<!DOCTYPE html>
{% load static %}
<html lang="en"><!-- Basic -->
<head>
	<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">   
   
    <!-- Mobile Metas -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
     <!-- Site Metas -->
    <title>{% block title %}Resepan{% endblock %}</title>  
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Site Icons -->
    <link rel="shortcut icon" href="{% static 'images/favicon.ico' %}" type="image/x-icon">
    <link rel="apple-touch-icon" href="{% static 'images/apple-touch-icon.png' %}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">    
	<!-- Site CSS -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">    
    <!-- Responsive CSS -->
    <link rel="stylesheet" href="{% static 'css/responsive.css' %}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="{% static 'css/custom.css' %}">

    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
	{% block meta %}{% endblock %}
</head>

<body>
	<!-- Start header -->
	<header class="top-navbar">
		<nav class="navbar navbar-expand-lg navbar-light bg-light">
			<div class="container">
				<a class="navbar-brand" href="{% url 'main:home' %}">
					RESEPAN by A14
				</a>
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbars-rs-food" aria-controls="navbars-rs-food" aria-expanded="false" aria-label="Toggle navigation">
				  <span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbars-rs-food">
					<ul class="navbar-nav ml-auto">
						<li class="nav-item"><a class="nav-link" href="{% url 'main:home' %}">Home</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'search:idx' %}">Search</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'add:add' %}">Add</a></li>
						<li class="nav-item dropdown">
							<a class="nav-link dropdown-toggle" href="#" id="dropdown-a" data-toggle="dropdown">Feedback</a>
							<div class="dropdown-menu" aria-labelledby="dropdown-a">
								<a class="dropdown-item" href="{% url 'review:ulasan' %}">Nambah Ulasan</a>
								<a class="dropdown-item" href="{% url 'review:listReview' %}">Daftar Ulasan</a>	
							</div>
						</li> 
						<li class="nav-item"><a class="nav-link" href="{% url 'profil:profile' %}">Profile</a></li>
						{% if user.is_authenticated == False %}
						<li class="nav-item"><a class="nav-link" href="{% url 'review:login' %}">
						<button class="btn btn-common" style="height: 3vw; text-align: center;" >Log In</button></li>
						</a>
					</li>
					{% else %}
					<li class="nav-item"><a class="nav-link" href="{% url 'review:logout' %}">
						<button class="btn btn-common" style="height: 3vw; text-align: center;">Log Out</button></li>
					</a>
					</li>
					{% endif %}
				</div>
						

					</ul>
				</div>
			</div>
		</nav>
	</header>
	<!-- End header -->
	
	
	<div> <br><br><br> </div>
	
	{% block content%}
	<!-- Start About -->
	<div class="about-section-box">
		<div class="container">
			<div class="row">
				<div class="col-lg-6 col-md-6 col-sm-12">
					<img src="{% static 'images/cooking.jpg' %}" alt="" class="img-fluid">
				</div>
				<div class="col-lg-6 col-md-6 col-sm-12 text-center">
					<div class="inner-column">
						<h1>Welcome To <span>Resepan!</span></h1>
						<h4>Little Story</h4>
						<p>Sebuah platform untuk membagi dan melihat resep. Cocok untuk kalian yang sedang gabut selama pandemi dan ingin mempelajari skill baru! ResePan sangat cocok untuk orang-orang yang masih pemula dalam memasak, seperti pelajar atau siapapun itu, dan ingin memasak dengan rese-resep yangmudah.</p>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- End About -->
	
	<!-- Start QT -->
	<div class="qt-box qt-background">
		<div class="container">
			<div class="row">
				<div class="col-md-8 ml-auto mr-auto text-left">
					<p class="lead ">
						" No One Is Born a Great Cook, One Learns By Doing. "
					</p>
					<span class="lead">Julia Child</span>
				</div>
			</div>
		</div>
	</div>
	<!-- End QT -->
	
	<!-- Start Gallery -->
	<div class="gallery-box">
		<div class="container-fluid">
			<div class="row">
				<div class="col-lg-12">
					<div class="heading-title text-center">
						<h2>Gallery</h2>
						<p>Come Look at Some Of Our Recipes!</p>
					</div>
				</div>
			</div>
			<div class="tz-gallery">
				<div class="row">
					<div class="col-sm-12 col-md-4 col-lg-4">
						<a class="lightbox" href="{% static 'images/gallery-img-01.jpg' %}">
							<img class="img-fluid" src="{% static 'images/gallery-img-01.jpg' %}" alt="Gallery Images">
						</a>
					</div>
					<div class="col-sm-6 col-md-4 col-lg-4">
						<a class="lightbox" href="{% static 'images/gallery-img-02.jpg' %}">
							<img class="img-fluid" src="{% static 'images/gallery-img-02.jpg' %}" alt="Gallery Images">
						</a>
					</div>
					<div class="col-sm-6 col-md-4 col-lg-4">
						<a class="lightbox" href="{% static 'images/gallery-img-03.jpg' %}">
							<img class="img-fluid" src="{% static 'images/gallery-img-03.jpg' %}" alt="Gallery Images">
						</a>
					</div>
					<div class="col-sm-12 col-md-4 col-lg-4">
						<a class="lightbox" href="{% static 'images/gallery-img-04.jpg' %}">
							<img class="img-fluid" src="{% static 'images/gallery-img-04.jpg' %}" alt="Gallery Images">
						</a>
					</div>
					<div class="col-sm-6 col-md-4 col-lg-4">
						<a class="lightbox" href="{% static 'images/gallery-img-05.jpg' %}">
							<img class="img-fluid" src="{% static 'images/gallery-img-05.jpg' %}" alt="Gallery Images">
						</a>
					</div> 
					<div class="col-sm-6 col-md-4 col-lg-4">
						<a class="lightbox" href="{% static 'images/gallery-img-06.jpg' %}">
							<img class="img-fluid" src="{% static 'images/gallery-img-06.jpg' %}" alt="Gallery Images">
						</a>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- End Gallery -->
	
	{% endblock %}
	
	<!-- Start Contact info -->
	<div class="contact-imfo-box">
		<div class="container">
			<div class="row">
				<div class="col-md-4">
					<i class="fa fa-volume-control-phone"></i>
					<div class="overflow-hidden">
						<h4>Phone</h4>
						<p class="lead">
							+62-812-1158-8610
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-envelope"></i>
					<div class="overflow-hidden">
						<h4>Email</h4>
						<p class="lead">
							resepana14@gmail.com
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-map-marker"></i>
					<div class="overflow-hidden">
						<h4>Location</h4>
						<p class="lead">
							Fasilkom tercinta
						</p>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- End Contact info -->

	
	<a href="#" id="back-to-top" title="Back to top" style="display: none;">&uarr;</a>

	<!-- ALL JS FILES -->
	<script src="{% static 'js/jquery-3.2.1.min.js' %}"></script>
	<script src="{% static 'js/popper.min.js' %}"></script>
	<script src="{% static 'js/bootstrap.min.js' %}"></script>
    <!-- ALL PLUGINS -->
	<script src="{% static 'js/jquery.superslides.min.js' %}"></script>
	<script src="{% static 'js/images-loded.min.js' %}"></script>
	<script src="{% static 'js/isotope.min.js' %}"></script>
	<script src="{% static 'js/baguetteBox.min.js' %}"></script>
	<script src="{% static 'js/form-validator.min.js' %}"></script>
    <script src="{% static 'js/contact-form-script.js' %}"></script>
	<script src="{% static 'js/custom.js' %}"></script>
	<script src="{% static 'js/resep_details.js' %}"></script>
</body>
</html>

templates/login.html
<!DOCTYPE html>
{% load static %}
<html lang="en"><!-- Basic -->
<head>
	<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">   
   
    <!-- Mobile Metas -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
     <!-- Site Metas -->
    <title>Feedback</title>  
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Site Icons -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link rel="shortcut icon" href="{% static 'images/favicon.ico' %}" type="image/x-icon">
    <link rel="apple-touch-icon" href="{% static 'images/apple-touch-icon.png' %}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">    
	<!-- Site CSS -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">    
    <!-- Responsive CSS -->
    <link rel="stylesheet" href="{% static 'css/responsive.css' %}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="{% static 'css/custom.css' %}">

    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>
	<!-- Start header -->
	<header class="top-navbar">
		<nav class="navbar navbar-expand-lg navbar-light bg-light">
			<div class="container">
				<a class="navbar-brand" href="{% url 'profil:index' %}">
					ResePan by A14
				</a>
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbars-rs-food" aria-controls="navbars-rs-food" aria-expanded="false" aria-label="Toggle navigation">
				  <span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbars-rs-food">
					<ul class="navbar-nav ml-auto">
						<li class="nav-item"><a class="nav-link" href="{% url 'main:home' %}">Home</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'search:idx' %}">Search</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'add:add' %}">Add</a></li>
						<li class="nav-item dropdown">
							<a class="nav-link dropdown-toggle" href="#" id="dropdown-a" data-toggle="dropdown">Feedback</a>
							<div class="dropdown-menu" aria-labelledby="dropdown-a">
								<a class="dropdown-item" href="{% url 'review:ulasan' %}">Nambah Ulasan</a>
								<a class="dropdown-item" href="{% url 'review:listReview' %}">Daftar Ulasan</a>
							</div>
						</li>
                        <li class="nav-item"><a class="nav-link" href="{% url 'profil:profile' %}">Profile</a></li>
                        {% if user.is_authenticated == False %}
						<li class="nav-item"><a class="nav-link" href="{% url 'review:login' %}">
                        <button class="btn btn-common" style="height: 3vw; text-align: center;" >Log In</button></li>
                        </a>
					</li>
					{% else %}
					<li class="nav-item"> <a class="nav-link" href="{% url 'review:logout' %}">
                        <button class="btn btn-common" style="height: 3vw; text-align: center;">Log Out</button></li>
                    </a>
					</li>
					{% endif %}
					</ul>
				</div>
			</div>
		</nav>
	</header>
	<!-- End header -->
	
	<!-- Start All Pages -->
	<div class="all-page-title page-breadcrumb">
		<div class="container text-center">
			<div class="row">
				<div class="col-lg-12">
					<h1>Log In!</h1>
				</div>
			</div>
		</div>
	</div>
	<!-- End All Pages -->
	
	<!-- Start Contact -->
	<div class="contact-box">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
                 {% if user.is_authenticated == False %}
					<div class="heading-title text-center">
						<h2>Log In</h2>
                        <p>Log in yuk!</p>
                        {% if messages %}
                        {% for message in messages %}
                            <p>{{message}}</p>
                        {% endfor %}
                    {% endif %}
                    </div>
                    {% else %}
                        <div class="heading-title text-center">
                            <h2>You Did It!</h2>
                        </div>
                        {% endif %}
				</div>
            </div>
            
            {% if user.is_authenticated == False %}
				<form method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                        {{form}}
                    </div>
                    <div class="info mt-5">
                        <p>
                            Don't have an account? <a class="sign-up-in-link" href="{% url 'review:signup' %}"><strong>Sign up</strong></a>
                        </p>
                    </div>
                    <button type="submit" class="btn btn-common">Submit</button>
                  </form>
		</div>
    </div>
    
    {% else %}
    <div class="heading-title text-center">
        <h2>Hello, {{user.username}}</h2>
    </div>
</div>
    {% endif %}
	<!-- End Contact -->
	
	<!-- Start Contact info -->
	<div class="contact-imfo-box">
		<div class="container">
			<div class="row">
				<div class="col-md-4">
					<i class="fa fa-volume-control-phone"></i>
					<div class="overflow-hidden">
						<h4>Phone</h4>
						<p class="lead">
							+62-812-1158-8610
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-envelope"></i>
					<div class="overflow-hidden">
						<h4>Email</h4>
						<p class="lead">
							resepana14@gmail.com
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-map-marker"></i>
					<div class="overflow-hidden">
						<h4>Location</h4>
						<p class="lead">
							Fasilkom tercinta
						</p>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- End Footer -->
	
	<a href="#" id="back-to-top" title="Back to top" style="display: none;">&uarr;</a>

	<!-- ALL JS FILES -->
	<script src="{% static 'js/jquery-3.2.1.min.js' %}"></script>
	<script src="{% static 'js/popper.min.js' %}"></script>
	<script src="{% static 'js/bootstrap.min.js' %}"></script>
    <!-- ALL PLUGINS -->
	
	<script src="{% static 'js/jquery.superslides.min.js' %}"></script>
	<script src="{% static 'js/images-loded.min.js' %}"></script>
	<script src="{% static 'js/isotope.min.js' %}"></script>
	<script src="{% static 'js/baguetteBox.min.js' %}"></script>
	<script src="{% static 'js/jquery.mapify.js' %}"></script>
	<script src="{% static 'js/form-validator.min.js' %}"></script>
    <script src="{% static 'js/contact-form-script.js' %}"></script>
    <script src="{% static 'js/custom.js' %}"></script>
</body>
</html>

templates/searchresult.html
{% extends 'index.html' %}

{% block meta %}
<style>
	.cover {
	  object-fit: cover;
	}
</style>
{% endblock %}

{% block content %}
<div class="blog-box">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="heading-title text-center">
					<a href="{% url 'search:idx' %}">
						<h2>Our Recipes!</h2>
					</a>
					<br>
					<form method="POST">
						{% csrf_token %}
						{{ searchform }}
					</form>
				</div>
				{% if most_searched_keyword %}
				<div class="heading-title text-center">
					<p style="font-size: 14">Most Searched Recipe: 
						<a href="{{ most_searched_keyword.id }}">{{ most_searched_keyword.string }}</a>
					</p>
				</div>
				{% endif %}
			</div>
		</div>
		{% if allresep %}
		<div class="row">
			{% for resep in allresep %}
			<div class="col-lg-4 col-md-6 col-12" style="margin-bottom:50px; text-align: center; border-color: #cfa671">
				<div class="border border-light">
					<div class="blog-img-box">
						{% if resep.foto %}
							<img class = "cover"src="{{ resep.foto.url }}" width= "300px"
							height= "200px" style="margin:10px;">
						{% endif %}
					</div>
					<div class="blog-detail">
						<h4>{{ resep.nama }}</h4>
						<ul>
							<p>{{ resep.deskripsi }}</p>
							<p>{{ resep.porsi }}</p>
							<p>{{ resep.durasi }}</p>
						</ul>
						{% if user.is_authenticated %}
						<a class="btn btn-lg btn-circle btn-outline-new-white" href="{% url 'add:detail' resep.id%}" style="margin:20px">Read More</a>
						{% endif %}
					</div>
				</div>
			</div>
			{% endfor %}
		{% else %}
			<div class="col-lg-12">
				<div class="heading-title text-center">
					<h2>We haven't add any Recipes yet :(</h2>
				</div>
			</div>
		{% endif %}
		</div>
		
			
			
	</div>
</div>



<br><br></div>
{% endblock %}

templates/signup.html
<!DOCTYPE html>
{% load static %}
<html lang="en"><!-- Basic -->
<head>
	<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">   
   
    <!-- Mobile Metas -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
     <!-- Site Metas -->
    <title>Feedback</title>  
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Site Icons -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link rel="shortcut icon" href="{% static 'images/favicon.ico' %}" type="image/x-icon">
    <link rel="apple-touch-icon" href="{% static 'images/apple-touch-icon.png' %}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">    
	<!-- Site CSS -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">    
    <!-- Responsive CSS -->
    <link rel="stylesheet" href="{% static 'css/responsive.css' %}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="{% static 'css/custom.css' %}">

    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>
	<!-- Start header -->
	<header class="top-navbar">
		<nav class="navbar navbar-expand-lg navbar-light bg-light">
			<div class="container">
				<a class="navbar-brand" href="{% url 'profil:index' %}">
					ResePan by A14
				</a>
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbars-rs-food" aria-controls="navbars-rs-food" aria-expanded="false" aria-label="Toggle navigation">
				  <span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbars-rs-food">
					<ul class="navbar-nav ml-auto">
						<li class="nav-item"><a class="nav-link" href="{% url 'main:home' %}">Home</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'search:idx' %}">Search</a></li>
						<li class="nav-item"><a class="nav-link" href="{% url 'add:add' %}">Add</a></li>
						<li class="nav-item dropdown">
							<a class="nav-link dropdown-toggle" href="#" id="dropdown-a" data-toggle="dropdown">Feedback</a>
							<div class="dropdown-menu" aria-labelledby="dropdown-a">
								<a class="dropdown-item" href="{% url 'review:ulasan' %}">Nambah Ulasan</a>
								<a class="dropdown-item" href="{% url 'review:listReview' %}">Daftar Ulasan</a>
							</div>
						</li>
                        <li class="nav-item"><a class="nav-link" href="{% url 'profil:profile' %}">Profile</a></li>
                        {% if user.is_authenticated == False %}
						<li class="nav-item"><a class="nav-link" href="{% url 'review:login' %}">
                        <button class="btn btn-common" style="height: 3vw; text-align: center;" >Log In</button></li>
                        </a>
					</li>
					{% else %}
					<li class="nav-item" href="{% url 'review:login' %}">
						<button class="btn btn-common" style="height: 3vw; text-align: center;" href="{% url 'review:logout' %}">Log Out</button></li>
                    </a>
                    </li>
					{% endif %}
					</ul>
				</div>
			</div>
		</nav>
	</header>
	<!-- End header -->
	
	<!-- Start All Pages -->
	<div class="all-page-title page-breadcrumb">
		<div class="container text-center">
			<div class="row">
				<div class="col-lg-12">
					<h1>Feedback!</h1>
				</div>
			</div>
		</div>
	</div>
	<!-- End All Pages -->
	
	<!-- Start Contact -->
	<div class="contact-box">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="heading-title text-center">
						<h2>Ulasan</h2>
                        <p>Tolong berikan kami umpan balik tentang pengalaman Anda dalam menggunakan situs web kami!</p>
                        {% if messages %}
                        {% for message in messages %}
                            <p>{{message}}</p>
                        {% endfor %}
                    {% endif %}
					</div>
				</div>
            </div>
            {% if user.is_authenticated == False %}
				<form method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                        {{form}}
                    </div>
                    <div class="info mt-5">
                        <p>
                            Have an account already? <a class="sign-up-in-link" href="{% url 'review:login' %}"><strong>Sign in</strong></a>
                        </p>
                    </div>
                    <button type="submit" class="btn btn-common" href="{% url 'review:signup'%}">Submit</button>
                  </form>
		</div>
    </div>
    
    {% else %}
    <div class="heading-title text-center">
                        <h2>You did it!</h2><br>
                        <h2>Hello, {{user.username}}</h2>
					</div>
    {% endif %}
	<!-- End Contact -->
	
	<!-- Start Contact info -->
	<div class="contact-imfo-box">
		<div class="container">
			<div class="row">
				<div class="col-md-4">
					<i class="fa fa-volume-control-phone"></i>
					<div class="overflow-hidden">
						<h4>Phone</h4>
						<p class="lead">
							+62-812-1158-8610
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-envelope"></i>
					<div class="overflow-hidden">
						<h4>Email</h4>
						<p class="lead">
							resepana14@gmail.com
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<i class="fa fa-map-marker"></i>
					<div class="overflow-hidden">
						<h4>Location</h4>
						<p class="lead">
							Fasilkom tercinta
						</p>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- End Footer -->
	
	<a href="#" id="back-to-top" title="Back to top" style="display: none;">&uarr;</a>

	<!-- ALL JS FILES -->
	<script src="{% static 'js/jquery-3.2.1.min.js' %}"></script>
	<script src="{% static 'js/popper.min.js' %}"></script>
	<script src="{% static 'js/bootstrap.min.js' %}"></script>
    <!-- ALL PLUGINS -->
	
	<script src="{% static 'js/jquery.superslides.min.js' %}"></script>
	<script src="{% static 'js/images-loded.min.js' %}"></script>
	<script src="{% static 'js/isotope.min.js' %}"></script>
	<script src="{% static 'js/baguetteBox.min.js' %}"></script>
	<script src="{% static 'js/jquery.mapify.js' %}"></script>
	<script src="{% static 'js/form-validator.min.js' %}"></script>
    <script src="{% static 'js/contact-form-script.js' %}"></script>
    <script src="{% static 'js/custom.js' %}"></script>
</body>
</html>